Update Form Submission

Update hidden fields on a form submission within a specific site.

Required scope | forms:write

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site
form_submission_idstringRequiredformat: "objectid"
Unique identifier for a Form Submission

Request

This endpoint expects an object.
formSubmissionDataobjectOptional

An existing hidden field defined on the form schema, and the corresponding value to set

Response

Request was successful
idstringformat: "objectid"
The unique ID of the Form submission
displayNamestring
The Form name displayed on the site
siteIdstringformat: "objectid"
The unique ID of the Site the Form belongs to
workspaceIdstringformat: "objectid"
The unique ID of the Workspace the Site belongs to
dateSubmittedstringformat: "date-time"
Date that the Form was submitted on
formResponseobject
The data submitted in the Form

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error